CREATE TABLE asm_mig_business_objects (
    MIG_BUS_OBJECT_ID        NUMBER(18, 0),
    EXPORT_SEQUENCE          NUMBER(18, 0)    NOT NULL,
    IMPORT_SEQUENCE          NUMBER(18, 0)    NOT NULL,
    CFG_PACKAGE_ID           NUMBER(18, 0)    NOT NULL,
    TASK_LIST_ITEM_ID        NUMBER(18, 0),
    BUSINESS_OBJECT_ID       NUMBER(18, 0),
    ENTERPRISE_ID            NUMBER(18, 0)    NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    MIG_BUS_OBJECT_ID        NUMBER(18, 0),
    EXPORT_SEQUENCE          NUMBER(18, 0)    NOT NULL,
    IMPORT_SEQUENCE          NUMBER(18, 0)    NOT NULL,
    CFG_PACKAGE_ID           NUMBER(18, 0)    NOT NULL,
    TASK_LIST_ITEM_ID        NUMBER(18, 0),
    BUSINESS_OBJECT_ID       NUMBER(18, 0),
    ENTERPRISE_ID            NUMBER(18, 0)    NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CONSTRAINT pk_asm_mig_business_objects PRIMARY KEY (MIG_BUS_OBJECT_ID, MIG_BUS_OBJECT_ID)
);
